import * as $dara from '@darabonba/typescript';
export declare class DescribeSoarStrategiesRequest extends $dara.Model {
    /**
     * @remarks
     * The page number. Pages start from page 1.
     *
     * This parameter is required.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * This parameter is required.
     *
     * @example
     * 20
     */
    pageSize?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
